> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trackstarhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Inventory Item

> Returns a single Inventory Item for the WMS connection with the associated inventory id.



## OpenAPI

````yaml get /wms/inventory/{inventory_id}
openapi: 3.1.0
info:
  description: >

    Trackstar is a Unified API that provides standard endpoints for Supply Chain
    Logistics. We currently offer an API for Warehouse Management Systems (WMS).
  title: Trackstar API
  version: 0.1.0
servers:
  - description: Trackstar API
    url: https://production.trackstarhq.com
security: []
tags: []
externalDocs:
  description: Trackstar API Documentation
  url: https://docs.trackstarhq.com
paths:
  /wms/inventory/{inventory_id}:
    get:
      tags:
        - wms
        - Inventory
      summary: Get Inventory Item
      description: >-
        Returns a single Inventory Item for the WMS connection with the
        associated inventory id.
      operationId: get_wms_get_inventory_item
      parameters:
        - in: path
          name: inventory_id
          schema:
            type: string
          required: true
        - in: header
          name: x-trackstar-api-key
          description: Your organization-level Trackstar API key.
          schema:
            type: string
            example: <x-trackstar-api-key>
          required: true
        - in: header
          name: x-trackstar-access-token
          description: >-
            Your user's access token for a specific integration (ShipHero,
            Extensiv, etc).
          schema:
            type: string
            example: <x-trackstar-access-token>
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WmsInventorySingleItemEndpoint'
          description: Successful response
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
components:
  schemas:
    WmsInventorySingleItemEndpoint:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/WmsInventoryItemApiItemSchema'
      additionalProperties: false
      title: WmsInventorySingleItemEndpoint
    HTTPError:
      properties:
        error:
          type: string
        id:
          type: string
          description: The ID of the item that wasn't found.
      required:
        - error
      type: object
      title: HTTPError
    ValidationError:
      properties:
        error:
          type: string
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
      required:
        - error
      type: object
      title: ValidationError
    WmsInventoryItemApiItemSchema:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the inventory item.
          example: inv_id
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the inventory item.
            Can be passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details.
          example: warehouse_customer_id
        created_date:
          type: string
          format: date-time
          description: The date the inventory item was created.
          example: '2022-01-01T00:00:00Z'
        updated_date:
          type: string
          format: date-time
          description: The date the inventory item was last updated.
          example: '2022-01-02T05:05:05Z'
        name:
          type: string
          description: name
          example: name
        sku:
          type:
            - string
            - 'null'
          description: sku
          example: sku
        unit_cost:
          type:
            - number
            - 'null'
          description: The cost of a single unit of the inventory item.
          example: 1
        active:
          type: boolean
          description: Whether the inventory item is active.
          example: true
        awaiting:
          type: integer
          description: Inventory that the warehouse is awaiting delivery of.
          example: 0
        onhand:
          type: integer
          description: The total amount of inventory in the warehouse.
          example: 5
        committed:
          type: integer
          description: Inventory that is already assigned to orders.
          example: 1
        unfulfillable:
          type: integer
          description: >-
            Inventory that can't be fulfilled for orders (e.g.
            damaged/quarantined).
          example: 0
        fulfillable:
          type: integer
          description: Inventory that can be fulfilled for orders.
          example: 4
        sellable:
          type: integer
          description: Inventory that is available in sales channels.
          example: 2
        substitute_skus:
          type: array
          description: >-
            A list of inventory item SKUs that can replace this item if it runs
            out of stock.
          example:
            - sub_sku_1
            - sub_sku_2
          items:
            type: string
            description: sub_sku
        inventory_by_warehouse_id:
          type: object
          description: Inventory broken down by warehouse.
          example:
            warehouse_id_1:
              onhand: 4
              committed: 1
              unfulfillable: 0
              fulfillable: 3
              sellable: 2
              awaiting: 0
            warehouse_id_2:
              onhand: 1
              committed: 0
              unfulfillable: 0
              fulfillable: 1
              sellable: 1
              awaiting: 0
          additionalProperties:
            $ref: '#/components/schemas/InventoryInWarehouse'
        lots:
          type: array
          description: >-
            A lot is a specific batch of inventory items that are stored
            together and expire together. If an item doesn't expire, it is not
            allocated to a lot.
          example:
            - lot_id: lot_id_1
              onhand: 2
              expiration_date: '2022-01-01T00:00:00Z'
              warehouse_id: warehouse_id1
            - lot_id: lot_id_2
              onhand: 1
              expiration_date: '2022-01-03T00:00:00Z'
              warehouse_id: warehouse_id2
          items:
            $ref: '#/components/schemas/Lot'
        measurements:
          $ref: '#/components/schemas/InventoryItemMeasurements'
        locations:
          type: array
          description: >-
            A list of locations within a warehouse where the inventory item is
            stored.
          example:
            - location_id: location_id_1
              quantity: 2
              warehouse_id: warehouse_id1
            - location_id: location_id_2
              quantity: 1
              warehouse_id: warehouse_id2
          items:
            $ref: '#/components/schemas/Location'
        external_system_url:
          type:
            - string
            - 'null'
          description: >-
            URL link to the inventory item in the external system (WMS/Freight
            etc).
          example: https://example.com/inventoryitem/123
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        additional_fields:
          type: object
          description: Integration-specific fields
          example:
            key: value
          additionalProperties: {}
        trackstar_created_date:
          type: string
          format: date-time
          description: ''
        trackstar_updated_date:
          type: string
          format: date-time
          description: ''
      required:
        - active
        - additional_fields
        - awaiting
        - committed
        - created_date
        - external_system_url
        - fulfillable
        - id
        - inventory_by_warehouse_id
        - locations
        - lots
        - measurements
        - name
        - onhand
        - sellable
        - sku
        - substitute_skus
        - trackstar_created_date
        - trackstar_tags
        - trackstar_updated_date
        - unfulfillable
        - unit_cost
        - updated_date
        - warehouse_customer_id
      additionalProperties: false
      title: WmsInventoryItemApiItemSchema
    InventoryInWarehouse:
      type: object
      properties:
        awaiting:
          type:
            - integer
            - 'null'
          description: ''
          example: 0
        onhand:
          type: integer
          description: ''
          example: 0
        committed:
          type:
            - integer
            - 'null'
          description: ''
          example: 0
        unfulfillable:
          type:
            - integer
            - 'null'
          description: ''
          example: 0
        fulfillable:
          type:
            - integer
            - 'null'
          description: ''
          example: 0
        sellable:
          type:
            - integer
            - 'null'
          description: ''
          example: 0
      required:
        - awaiting
        - committed
        - fulfillable
        - onhand
        - sellable
        - unfulfillable
      additionalProperties: false
      title: InventoryInWarehouse
    Lot:
      type: object
      properties:
        lot_id:
          type: string
          description: Lot ID.
        onhand:
          type: integer
          description: The total amount of inventory in the lot.
          example: 0
        expiration_date:
          type:
            - string
            - 'null'
          format: date-time
          description: The date that the lot expires.
        warehouse_id:
          type:
            - string
            - 'null'
          description: >-
            ID of the warehouse that the lot is kept in. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
      required:
        - expiration_date
        - lot_id
        - onhand
        - warehouse_id
      additionalProperties: false
      title: Lot
    InventoryItemMeasurements:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the inventory item.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the inventory item.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: InventoryItemMeasurements
    Location:
      type: object
      properties:
        location_id:
          type: string
          description: Location ID.
        quantity:
          type: integer
          description: The total amount of inventory stored in the location.
          example: 0
        warehouse_id:
          type: string
          description: >-
            ID of the warehouse that contains the location. Can be passed into
            the [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint
            for more details.
      required:
        - location_id
        - quantity
        - warehouse_id
      additionalProperties: false
      title: Location

````